
public class Class417 {

   static final int anInt5138 = 1;
   static final int anInt5139 = 2;
   static final int anInt5140 = 4;
   static final int anInt5141 = 8;
   public int[] anIntArray5142 = new int[3];
   public short[] aShortArray5143;
   public int[] anIntArray5144 = new int[3];
   public int[] anIntArray5145 = new int[2];
   public int[] anIntArray5146 = new int[2];
   public short[] aShortArray5147;


   Class417(ItemDefinition var1) {
      this.anIntArray5142[0] = var1.anInt4978 * -1094311917;
      this.anIntArray5142[1] = var1.anInt4946 * 553600993;
      this.anIntArray5142[2] = -6803451 * var1.anInt4964;
      this.anIntArray5144[0] = var1.anInt4945 * -522943185;
      this.anIntArray5144[1] = -1728826705 * var1.anInt4928;
      this.anIntArray5144[2] = 846000641 * var1.anInt4968;
      this.anIntArray5146[0] = -1248912921 * var1.anInt4975;
      this.anIntArray5146[1] = var1.anInt4976 * 2064377299;
      this.anIntArray5145[0] = -611993999 * var1.anInt4977;
      this.anIntArray5145[1] = -579572887 * var1.anInt4995;
      if(null != var1.aShortArray4979) {
         this.aShortArray5143 = new short[var1.aShortArray4979.length];
         System.arraycopy(var1.aShortArray4979, 0, this.aShortArray5143, 0, this.aShortArray5143.length);
      }

      if(var1.aShortArray4943 != null) {
         this.aShortArray5147 = new short[var1.aShortArray4943.length];
         System.arraycopy(var1.aShortArray4943, 0, this.aShortArray5147, 0, this.aShortArray5147.length);
      }

   }

   public static Class417 method7133(ItemDefinition var0, RS2Buffer var1) {
      Class417 var2 = new Class417(var0);
      int var3 = var1.readUnsignedByte(-700559597);
      boolean var4 = 0 != (var3 & 1);
      boolean var5 = (var3 & 2) != 0;
      boolean var6 = 0 != (var3 & 4);
      boolean var7 = (var3 & 8) != 0;
      if(var4) {
         var2.anIntArray5142[0] = var1.readLargeSmart(1821587496);
         var2.anIntArray5144[0] = var1.readLargeSmart(1892773754);
         if(553600993 * var0.anInt4946 != -1 || -1728826705 * var0.anInt4928 != -1) {
            var2.anIntArray5142[1] = var1.readLargeSmart(1733512354);
            var2.anIntArray5144[1] = var1.readLargeSmart(1659327019);
         }

         if(-1 != -6803451 * var0.anInt4964 || 846000641 * var0.anInt4968 != -1) {
            var2.anIntArray5142[2] = var1.readLargeSmart(1644351173);
            var2.anIntArray5144[2] = var1.readLargeSmart(2085226538);
         }
      }

      if(var5) {
         var2.anIntArray5146[0] = var1.readLargeSmart(1780586695);
         var2.anIntArray5145[0] = var1.readLargeSmart(2132016195);
         if(2064377299 * var0.anInt4976 != -1 || var0.anInt4995 * -579572887 != -1) {
            var2.anIntArray5146[1] = var1.readLargeSmart(2075531402);
            var2.anIntArray5145[1] = var1.readLargeSmart(1840016356);
         }
      }

      int var8;
      int[] var9;
      int var10;
      if(var6) {
         var8 = var1.readUnsignedShort(-937710807);
         var9 = new int[]{var8 & 15, var8 >> 4 & 15, var8 >> 8 & 15, var8 >> 12 & 15};

         for(var10 = 0; var10 < 4; ++var10) {
            if(15 != var9[var10]) {
               var2.aShortArray5143[var9[var10]] = (short)var1.readUnsignedShort(-937710807);
            }
         }
      }

      if(var7) {
         var8 = var1.readUnsignedByte(-700559597);
         var9 = new int[]{var8 & 15, var8 >> 4 & 15};

         for(var10 = 0; var10 < 2; ++var10) {
            if(var9[var10] != 15) {
               var2.aShortArray5147[var9[var10]] = (short)var1.readUnsignedShort(-937710807);
            }
         }
      }

      return var2;
   }

   public static Class417 method7134(ItemDefinition var0, RS2Buffer var1) {
      Class417 var2 = new Class417(var0);
      int var3 = var1.readUnsignedByte(-700559597);
      boolean var4 = 0 != (var3 & 1);
      boolean var5 = (var3 & 2) != 0;
      boolean var6 = 0 != (var3 & 4);
      boolean var7 = (var3 & 8) != 0;
      if(var4) {
         var2.anIntArray5142[0] = var1.readLargeSmart(1592434697);
         var2.anIntArray5144[0] = var1.readLargeSmart(2016396565);
         if(553600993 * var0.anInt4946 != -1 || -1728826705 * var0.anInt4928 != -1) {
            var2.anIntArray5142[1] = var1.readLargeSmart(1954980108);
            var2.anIntArray5144[1] = var1.readLargeSmart(2024053651);
         }

         if(-1 != -6803451 * var0.anInt4964 || 846000641 * var0.anInt4968 != -1) {
            var2.anIntArray5142[2] = var1.readLargeSmart(1612824279);
            var2.anIntArray5144[2] = var1.readLargeSmart(1580857179);
         }
      }

      if(var5) {
         var2.anIntArray5146[0] = var1.readLargeSmart(1596461271);
         var2.anIntArray5145[0] = var1.readLargeSmart(2119107520);
         if(2064377299 * var0.anInt4976 != -1 || var0.anInt4995 * -579572887 != -1) {
            var2.anIntArray5146[1] = var1.readLargeSmart(1723885982);
            var2.anIntArray5145[1] = var1.readLargeSmart(2006796353);
         }
      }

      int var8;
      int[] var9;
      int var10;
      if(var6) {
         var8 = var1.readUnsignedShort(-937710807);
         var9 = new int[]{var8 & 15, var8 >> 4 & 15, var8 >> 8 & 15, var8 >> 12 & 15};

         for(var10 = 0; var10 < 4; ++var10) {
            if(15 != var9[var10]) {
               var2.aShortArray5143[var9[var10]] = (short)var1.readUnsignedShort(-937710807);
            }
         }
      }

      if(var7) {
         var8 = var1.readUnsignedByte(-700559597);
         var9 = new int[]{var8 & 15, var8 >> 4 & 15};

         for(var10 = 0; var10 < 2; ++var10) {
            if(var9[var10] != 15) {
               var2.aShortArray5147[var9[var10]] = (short)var1.readUnsignedShort(-937710807);
            }
         }
      }

      return var2;
   }

   static final void method7135(Class508 var0, int var1) throws Exception_Sub4 {
      var0.anInt6003 -= 294937419;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[1 + var0.anInt6003 * -937710807];
      int var4 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 2];
      float var5 = (float)(2.0D * Math.atan((double)((float)var2 / 2.0F / (float)var4)));
      float var6 = (float)(2.0D * Math.atan((double)((float)var3 / 2.0F / (float)var4)));
      Class336.aClass35_Sub1_4206.method919(var5, var6, (byte)40);
   }

   public static int method7136(int var0, int var1, boolean var2, int var3) {
      Class225_Sub38 var4 = Class167_Sub1.method14830(var0, var2, 1619013357);
      return null == var4?0:(var1 >= 0 && var1 < var4.anIntArray8713.length?var4.anIntArray8713[var1]:0);
   }
}
